---
title: Get parent tests for a subtest
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Synthetics
---

# Get parent tests for a subtest{% #get-parent-tests-for-a-subtest %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                   |
| ----------------- | ---------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/synthetics/api-multistep/subtests/{public_id}/parents |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/synthetics/api-multistep/subtests/{public_id}/parents |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/synthetics/api-multistep/subtests/{public_id}/parents      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/synthetics/api-multistep/subtests/{public_id}/parents      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/synthetics/api-multistep/subtests/{public_id}/parents  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/synthetics/api-multistep/subtests/{public_id}/parents     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/synthetics/api-multistep/subtests/{public_id}/parents |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/synthetics/api-multistep/subtests/{public_id}/parents |

### Overview

Get the list of API multistep tests that include a given subtest, along with their monitor status. This endpoint requires the `synthetics_read` permission.

OAuth apps require the `synthetics_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#synthetics) to access this endpoint.



### Arguments

#### Path Parameters

| Name                        | Type   | Description                   |
| --------------------------- | ------ | ----------------------------- |
| public_id [*required*] | string | The public ID of the subtest. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing the list of parent tests for an API multistep subtest.

| Parent field | Field                  | Type     | Description                                                          |
| ------------ | ---------------------- | -------- | -------------------------------------------------------------------- |
|              | data                   | [object] | List of parent tests that include this subtest.                      |
| data         | attributes             | object   | Attributes of a parent API multistep test.                           |
| attributes   | child_name             | string   | The name of the child subtest.                                       |
| attributes   | child_public_id        | string   | The public ID of the child subtest.                                  |
| attributes   | monitor_id             | int64    | The associated monitor ID.                                           |
| attributes   | name                   | string   | Name of the parent test.                                             |
| attributes   | overall_state          | int64    | The overall state of the parent test.                                |
| attributes   | overall_state_modified | string   | Timestamp of when the overall state was last modified.               |
| attributes   | public_id              | string   | The public ID of the parent test.                                    |
| data         | id                     | string   | The public ID of the parent test.                                    |
| data         | type                   | enum     | Type of the parent test resource. Allowed enum values: `parent_test` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "child_name": "My API Subtest",
        "child_public_id": "xyz-uvw-789",
        "monitor_id": 12345678,
        "name": "My Multistep Test",
        "overall_state": 0,
        "overall_state_modified": "2024-01-01T00:00:00+00:00",
        "public_id": "abc-def-123"
      },
      "id": "abc-def-123",
      "type": "parent_test"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
API error response.
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export public_id="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/synthetics/api-multistep/subtests/${public_id}/parents" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get parent tests for a subtest returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.synthetics_api import SyntheticsApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = SyntheticsApi(api_client)
    response = api_instance.get_api_multistep_subtest_parents(
        public_id="public_id",
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Get parent tests for a subtest returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::SyntheticsAPI.new
p api_instance.get_api_multistep_subtest_parents("public_id")
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Get parent tests for a subtest returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewSyntheticsApi(apiClient)
	resp, r, err := api.GetApiMultistepSubtestParents(ctx, "public_id")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `SyntheticsApi.GetApiMultistepSubtestParents`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `SyntheticsApi.GetApiMultistepSubtestParents`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Get parent tests for a subtest returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.SyntheticsApi;
import com.datadog.api.client.v2.model.SyntheticsApiMultistepParentTestsResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    SyntheticsApi apiInstance = new SyntheticsApi(defaultClient);

    try {
      SyntheticsApiMultistepParentTestsResponse result =
          apiInstance.getApiMultistepSubtestParents("public_id");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling SyntheticsApi#getApiMultistepSubtestParents");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Get parent tests for a subtest returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_synthetics::SyntheticsAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = SyntheticsAPI::with_config(configuration);
    let resp = api
        .get_api_multistep_subtest_parents("public_id".to_string())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Get parent tests for a subtest returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.SyntheticsApi(configuration);

const params: v2.SyntheticsApiGetApiMultistepSubtestParentsRequest = {
  publicId: "public_id",
};

apiInstance
  .getApiMultistepSubtestParents(params)
  .then((data: v2.SyntheticsApiMultistepParentTestsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
